#@TYPE: Machine
#@NAME: OMAP1710 cpu on an H2 board
#@DESCRIPTION: Machine configuration for the OMAP H3 development board with a 1710 processor

TARGET_ARCH = "arm"
PACKAGE_EXTRA_ARCHS = "armv5te"

PREFERRED_PROVIDER_xserver = "xserver-kdrive"
PREFERRED_PROVIDER_virtual/kernel = "linux-omap1"
PREFERRED_PROVIDERS += "virtual/${TARGET_PREFIX}depmod:module-init-tools-cross"

BOOTSTRAP_EXTRA_RDEPENDS += "modutils-collateral"

SERIAL_CONSOLE ?= "115200 ttyS0"
IMAGE_FSTYPES ?= "jffs2"
EXTRA_IMAGECMD_jffs2 = "--pad --little-endian --eraseblock=0x40000"

require conf/machine/include/tune-arm926ejs.inc
